/**
 * EditRecipe.cpp is part of bmsapp.
 *
 * tab 6, water.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


void EditRecipe::refreshWaters()
{
    // recipe->w1_name
    ui->w1_volEdit->setValue(recipe->w1_amount);
    ui->w1_caEdit->setValue(recipe->w1_calcium);
    ui->w1_mgEdit->setValue(recipe->w1_magnesium);
    ui->w1_hco3Edit->setValue(recipe->w1_total_alkalinity * 1.22);
    ui->w1_caco3Edit->setValue(recipe->w1_total_alkalinity);
    ui->w1_naEdit->setValue(recipe->w1_sodium);
    ui->w1_clEdit->setValue(recipe->w1_chloride);
    ui->w1_so4Edit->setValue(recipe->w1_sulfate);
    ui->w1_phEdit->setValue(recipe->w1_ph);

    // recipe->w2_name
    ui->w2_volEdit->setValue(recipe->w2_amount);
    ui->w2_caEdit->setValue(recipe->w2_calcium);
    ui->w2_mgEdit->setValue(recipe->w2_magnesium);
    ui->w2_hco3Edit->setValue(recipe->w2_total_alkalinity * 1.22);
    ui->w2_caco3Edit->setValue(recipe->w2_total_alkalinity);
    ui->w2_naEdit->setValue(recipe->w2_sodium);
    ui->w2_clEdit->setValue(recipe->w2_chloride);
    ui->w2_so4Edit->setValue(recipe->w2_sulfate);
    ui->w2_phEdit->setValue(recipe->w2_ph);

    ui->wg_volEdit->setValue(recipe->wg_amount);
    ui->wg_caEdit->setValue(recipe->wg_calcium);
    ui->wg_mgEdit->setValue(recipe->wg_magnesium);
    ui->wg_hco3Edit->setValue(recipe->wg_total_alkalinity * 1.22);
    ui->wg_caco3Edit->setValue(recipe->wg_total_alkalinity);
    ui->wg_naEdit->setValue(recipe->wg_sodium);
    ui->wg_clEdit->setValue(recipe->wg_chloride);
    ui->wg_so4Edit->setValue(recipe->wg_sulfate);
    ui->wg_phEdit->setValue(recipe->wg_ph);

    ui->wb_caEdit->setValue(recipe->wb_calcium);
    ui->wb_mgEdit->setValue(recipe->wb_magnesium);
    ui->wb_hco3Edit->setValue(recipe->wb_total_alkalinity * 1.22);
    ui->wb_caco3Edit->setValue(recipe->wb_total_alkalinity);
    ui->wb_naEdit->setValue(recipe->wb_sodium);
    ui->wb_clEdit->setValue(recipe->wb_chloride);
    ui->wb_so4Edit->setValue(recipe->wb_sulfate);
    ui->wb_phEdit->setValue(recipe->wb_ph);

    ui->sp_volEdit->setValue(recipe->sparge_volume);
    ui->sp_tempEdit->setValue(recipe->sparge_temp);
    ui->sp_phEdit->setValue(recipe->sparge_ph);
    // sparge_source
    // sparge_acid_type
    ui->sp_acidpercEdit->setValue(recipe->sparge_acid_perc);
    ui->sp_acidvolEdit->setValue(recipe->sparge_acid_amount);

    // calc_acid
    ui->mw_phEdit->setValue(recipe->mash_ph);
    // mash_name
    //ui->mw_acidpercEdit->setValue(recipe->

}

